darcs

Issue 2540 output of darcs help markdown

Title output of darcs help markdown
Priority Status resolved
Milestone Resolved in 2.14.0 HEAD
Superseder Nosy List gh
Assigned To
Topics

Created on 2017-07-26.14:18:43 by gh, last changed 2017-10-09.12:51:29 by gh.

Messages
msg19496 (view) Author: gh Date: 2017-07-26.14:18:42
The output of `darcs help markdown` should be, in the following order:

1. commands reference
2. patterns
3. files that live in _darcs/prefs.
4. environment variables.

Currently it's 1, 4, 2. I believe it is okay to add 3 in the source code
of Darcs the same way 4 is present, this would avoid documentation rot?

4. is available on the wiki at http://darcs.net/Using/Configuration
msg19503 (view) Author: gh Date: 2017-07-31.16:21:56
5. Summary of Error codes of commands and their meanings.
msg19639 (view) Author: gh Date: 2017-09-01.18:10:25
I'm going to withdraw 5. from the list since only whatsnew uses error
code to report high-level information.
History
Date User Action Args
2017-07-26 14:18:43ghcreate
2017-07-31 16:21:58ghsetmessages: + msg19503
2017-09-01 18:10:26ghsetmessages: + msg19639
2017-10-09 12:51:29ghsetstatus: unknown -> resolved
resolvedin: 2.14.0 HEAD